<?php

namespace Drupal\orange_dam\Plugin\QueueWorker;

use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Drupal\Core\Queue\QueueWorkerBase;
use Drupal\orange_dam\OrangeDamQueueDataManager;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Handles deletion of Orange DAM items.
 *
 * @QueueWorker(
 *   id = "orange_dam_deletion_queue",
 *   title = @Translation("Orange DAM - Deletion Queue"),
 *   category = @Translation("Orange DAM"),
 *   cron = {
 *     "time" = 30,
 *   },
 * )
 */
class OrangeDamDeletionQueueWorker extends QueueWorkerBase implements ContainerFactoryPluginInterface {

  /**
   * Constructor.
   */
  public function __construct(
    array $configuration,
    $plugin_id,
    array $plugin_definition,
    protected OrangeDamQueueDataManager $queueDataManager,
  ) {
    parent::__construct($configuration, $plugin_id, $plugin_definition);
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    return new static(
      $configuration,
      $plugin_id,
      $plugin_definition,
      $container->get('orange_dam.queue_data_manager'),
    );
  }

  /**
   * {@inheritdoc}
   */
  public function processItem($data) {
    $this->queueDataManager->processDeletedQueueItem($data);
  }

}
